Subject: bug#31975: Emacs NS port `M-x customize` Mouse Autoselect Window (point-to-focus) has no effect

From: Alan Third <[email-masked]>
Date: Thu, 28 Jun 2018 19:24:57 +0100

On Thu, Jun 28, 2018 at 11:05:26PM +1000, Van L wrote:
> 
> > You mean, hypothetically?  
> 
> It might be trivial for the NS/Mac port developers
> familiar with plumbing conventions for apps on the 
> platform.
> 
> > Can't you change the window-manager's default?
> 
> The wm allows and honors apps wanting that behavior.
> I guess the nsterm or macterm source files for
> interacting with frames and focus need a little
> kick.

It shouldn’t be hard, although I’d mark this as wishlist for now as
I’m working on other things.

If someone else fancies giving it a go I think the simplest approach
is to modify [EmacsEvent mouseEntered:] to make the window key if some
variable is set.
-- 
Alan Third